<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui">

<h:head>
	<title>Fechas Especiales</title>
</h:head>
<h:body>
	<ui:include src="/menu.xhtml" />
	<p:fieldset legend="Fechas Especiales"
		style="margin-top:10px;margin-bottom:10px;">
		<h:panelGrid columns="2">
			<h:form id="formEspecial">
				<h:panelGrid columns="2" cellpadding="4" cellspacing="2">
					<p:outputLabel value="Año Actual" />
					<p:outputLabel id="year" style="color:green;" />
					<p:outputLabel for="fechaEs" value="Fecha" />
					<p:calendar id="fechaEs"
						value="#{gestionActividades.fechasEspe.fecha}" locale="es"
						navigator="true" pattern="dd-MMM-yyyy" showOn="button" />
					<p:outputLabel value="Descripción" />
					<p:inputText id="nombreEs"
						value="#{gestionActividades.fechasEspe.nombre}" />
					<f:facet name="footer">
						<p:commandButton onclick="updateDate()" rendered="#{gestionActividades.fechasEspe.nombre==null}" actionListener="#{gestionActividades.createFechaEsp()}" value="Guardar Fecha" update=":fechaTable,formEspecial,:formEspecial" />
						<p:commandButton onclick="updateDate()" rendered="#{gestionActividades.fechasEspe.nombre!=null}" actionListener="#{gestionActividades.editFechaEsp()}" value="Actualizar Fecha" update=":fechaTable,formEspecial,:formEspecial" />
						<p:commandButton onclick="updateDate()" rendered="#{gestionActividades.fechasEspe.nombre!=null}" actionListener="#{gestionActividades.init()}" value="Cancelar" update=":fechaTable,formEspecial,:formEspecial" />

					</f:facet>

				</h:panelGrid>
			</h:form>
			<h:panelGrid columns="2">

				<h:form id="fechaTable">
					<p:dataTable var="ver" value="#{gestionActividades.listEspecial}"
						paginator="true" rows="3">
						<f:facet name="header">Fechas</f:facet>
						<p:column headerText="Fecha">
							<h:outputLabel value="#{ver.fecha}" />
						</p:column>
						<p:column headerText="Descripción">
							<h:outputLabel value="#{ver.nombre}" />
						</p:column>
						<p:column headerText="Acciones">
							<p:commandButton value="Editar"
								actionListener="#{gestionActividades.findFechaEspById(ver)}"
								update="formEspecial" onclick="updateDate()" />
							<p:commandButton value="Eliminar"
								actionListener="#{gestionActividades.deleteFechaEsp(ver)}"
								update="fechaTable, formEspecial" onclick="updateDate()" />
						</p:column>
					</p:dataTable>
				</h:form>
			</h:panelGrid>

		</h:panelGrid>
	</p:fieldset>

	<script type="text/javascript">

// Para cambiar el calendario a español	
    PrimeFaces.locales['es'] = {
        closeText: 'Cerrar',
        prevText: 'Anterior',
        nextText: 'Siguiente',
        monthNames: ['Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre'],
        monthNamesShort: ['Ene', 'Feb', 'Mar', 'Abr', 'May', 'Jun', 'Jul', 'Ago', 'Sep', 'Oct', 'Nov', 'Dic'],
        dayNames: ['Domingo', 'Lunes', 'Martes', 'Miércoles', 'Jueves', 'Viernes', 'Sábado'],
        dayNamesShort: ['Dom', 'Lun', 'Mar', 'Mie', 'Jue', 'Vie', 'Sab'],
        dayNamesMin: ['Do', 'Lu', 'Ma', 'Mi', 'Ju', 'Vi', 'Sa'],
        weekHeader: 'Semana',
        firstDayOfWeek: 1,
        isRTL: false,
        showMonthAfterYear: false,
        yearSuffix: '',
        timeOnlyTitle: 'Sólo hora',
        timeText: 'Tiempo',
        hourText: 'Hora',
        minuteText: 'Minuto',
        secondText: 'Segundo',
        currentText: 'Fecha actual',
        ampm: false,
        month: 'Mes',
        week: 'Semana',
        day: 'Día',
        allDayText: 'Todo el día'
    };

    //Para obtener el año actual
    document.getElementById("formEspecial:year").innerHTML = new Date().getFullYear();

    //Para que no se quite el año actual al utilizar el update del formulario.
    function updateDate()
    { 
        $( "#formEspecial:year" ).load(window.location.href + " #formEspecial:year" );
    }
</script>
</h:body>
</html>